type: prog

niveau: base

titre: Moyenne notes -1-
uuid: 9fe125c1-362b-4725-a552-1532b3c9b87e

objectif: Déterminer la moyenne des notes d'un groupe d'étudiants contenues dans un tableau

énoncé: |
  On souhaite enregistrer les `notes` d'un __groupe d'étudiants__ dans un tableau afin de déterminer entre autres, la `moyenne` du groupe.

  Le __nombre d'étudiants__ du groupe est reçu en entrée, suivi des `notes` des étudiants.

  ### Entrées

  - nombre d'étudiants (nombre entier)
  - `notes` (tableau de nombres réels)

  ### Sortie attendue

   `moyenne` (nombre réel)

  ### À faire

  Compléter le code pour produire en sortie la `moyenne` des `notes` du groupe d'étudiant.

  ### Exemples

  1. Petit groupe

   - Entrées :
  ```
      3
      60
      40
      80

  ```

   - Sortie attendue :
  ```
      60.0

  ```

  2. Groupe vide

   - Entrées :
  ```
      0

  ```

   - Sortie attendue :
  ```
      00.0

  ```
ébauches:
    python: !include exec.py
    java: !include exec.java
    kotlin: !include exec.kt


rétroactions:
    positive: Bravo !
    négative: Parcourir le tableau afin de déterminer la somme des notes d'abord, en y accumulant les notes.! Attention, il faut diviser cette somme par le nombre de notes après la boucle.


tests: !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA

